Pulpissimo bitstream generation.
#9
(07-15-2019, 08:28 AM)AhmedZaky Wrote: Hey,

I am stuck also at that error " openocd: src/target/riscv/riscv.c:2530: riscv_set_current_hartid: Assertion `riscv_hart_enabled(target, hartid)' failed. ", I've read the comments but I couldn't locate that patched openocd that comes with the SDK. May you please elaborate more one this  ?

Thanks !

Hi AhmedZaky,

I just realized that the patched Openocd is not installed by default if you do not have access to the artifactory server (file server at ETH that contains precompiled binaries). However 
I revised the README in the fpga branch and added some sections on how to install the patched OpenOCD from source. Please follow the instructions at https://github.com/pulp-platform/pulpiss...nd-openocd.
Reply


Messages In This Thread
Pulpissimo bitstream generation. - by naprpo - 06-27-2019, 12:43 PM
RE: Pulpissimo bitstream generation. - by gideros - 07-01-2019, 07:36 AM
RE: Pulpissimo bitstream generation. - by naprpo - 07-12-2019, 12:20 PM
RE: Pulpissimo bitstream generation. - by naprpo - 07-15-2019, 11:02 AM
RE: Pulpissimo bitstream generation. - by naprpo - 07-15-2019, 08:59 AM
RE: Pulpissimo bitstream generation. - by meggiman - 07-15-2019, 03:19 PM
RE: Pulpissimo bitstream generation. - by gideros - 07-16-2019, 02:22 AM

Forum Jump: